Skip to main content
POST
/
contract
/
v1
/
employees
/
{employeeId}
/
compensations
/
{compensationId}
Assign a compensation to an employee
curl --request POST \
  --url https://api-{region}.sesametime.com/contract/v1/employees/{employeeId}/compensations/{compensationId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "startDate": "2024-01-15",
  "endDate": "2024-12-31"
}
'
This response has no body data.

Authorizations

Authorization
string
header
required

API token obtained from Sesame HR Dashboard > Settings > Integrations > API

Path Parameters

employeeId
string<uuid>
required

The employee ID

compensationId
string<uuid>
required

The compensation ID to assign

Body

application/json
startDate
string<date>
required

Assignment start date (Y-m-d)

Example:

"2024-01-15"

endDate
string<date> | null

Assignment end date (Y-m-d), optional

Example:

"2024-12-31"

Response